[arch-commits] Commit in mirage/trunk (PKGBUILD mirage.install)

Jan de Groot jgc at archlinux.org
Fri May 8 17:38:20 EDT 2009


    Date: Friday, May 8, 2009 @ 17:38:19
  Author: jgc
Revision: 38530

upgpkg: mirage 0.9.3-3
    Fix dependencies on desktop-file-utils

Modified:
  mirage/trunk/PKGBUILD
  mirage/trunk/mirage.install

----------------+
 PKGBUILD       |   12 ++++--------
 mirage.install |   11 +++++------
 2 files changed, 9 insertions(+), 14 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-08 21:31:17 UTC (rev 38529)
+++ PKGBUILD	2009-05-08 21:38:19 UTC (rev 38530)
@@ -3,21 +3,17 @@
 # Contributor: Scott Horowitz <stonecrest at gmail.com>
 pkgname=mirage
 pkgver=0.9.3
-pkgrel=2
+pkgrel=3
 pkgdesc="A simple GTK+ Image Viewer"
 url="http://mirageiv.berlios.de"
 license=("GPL")
-depends=('pygtk')
+depends=('pygtk>=2.14.1' 'desktop-file-utils')
 arch=('i686' 'x86_64')
 source=(http://download.berlios.de/mirageiv/mirage-$pkgver.tar.gz)
 install=$pkgname.install
+md5sums=('3b51ef6aa1a423e2c22079668add0f2b')
 
 build() {
   cd $startdir/src/mirage-$pkgver
-  python setup.py install --root=$startdir/pkg
+  python setup.py install --root=$startdir/pkg || return 1
 }
-
-
-
-
-md5sums=('3b51ef6aa1a423e2c22079668add0f2b')

Modified: mirage.install
===================================================================
--- mirage.install	2009-05-08 21:31:17 UTC (rev 38529)
+++ mirage.install	2009-05-08 21:38:19 UTC (rev 38530)
@@ -1,12 +1,11 @@
 post_install() {
-  update-desktop-database > /dev/null 2>&1
+  update-desktop-database -q
 }
 
 post_upgrade() {
-  post_install $1
+  update-desktop-database -q
 }
 
-op=$1
-shift
-
-$op $*
+post_remove() {
+  update-desktop-database -q
+}



More information about the arch-commits mailing list